Bug 70013 - "reset" does not reset terminal
Summary: "reset" does not reset terminal
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: vte   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-28 23:57 UTC by Gigs
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 07:13:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gigs 2002-07-28 23:57:05 UTC
Description of Problem:
The reset program from the ncurses library does not reset a terminal which has
been trashed by displaying binary data.

Version-Release number of selected component (if applicable):


How Reproducible:
Always


Steps to Reproduce:
1. cat /dev/urandom
2. type reset
3.
	

Additional Information:
	
This worked in Red Hat 7.3

Comment 1 Nalin Dahyabhai 2002-08-14 07:13:34 UTC
This should be fixed with vte 0.7.3 and later.

Comment 2 Jay Turner 2002-08-16 04:20:39 UTC
Fix confirmed with vte-0.7.4-1.


Note You need to log in before you can comment on or make changes to this bug.